Skip to content

INTERNAL: Finds and removes duplicate Message Center posts on the Tophhie Cloud Blog (auto-suffixed slugs like 'mc123456-2'). Dry-run by default.

POST
/m365/messagecenter/deduplicate
curl --request POST \
--url 'https://api.tophhie.cloud/m365/messagecenter/deduplicate?dryRun=true' \
--header 'x-tc-api-key: example'
dryRun

When ‘true’ (the default), only report duplicates without deleting. Pass ‘false’ to actually delete them.

string
Allowed values: true false

When ‘true’ (the default), only report duplicates without deleting. Pass ‘false’ to actually delete them.

x-tc-api-key
required

Internal API key for authorising this operation.

string

Internal API key for authorising this operation.

Deduplication completed.

Media typeapplication/json
object
message
required
string
dryRun
required
boolean
scanned
required
number
duplicatesFound
required
number
deleted
required
number
failed
required
number
duplicates
required
Array<object>
object
id
required
string
slug
required
string
title
required
string
url
required
string
deleted
required
boolean
Examplegenerated
{
"message": "example",
"dryRun": true,
"scanned": 1,
"duplicatesFound": 1,
"deleted": 1,
"failed": 1,
"duplicates": [
{
"id": "example",
"slug": "example",
"title": "example",
"url": "example",
"deleted": true
}
]
}

Forbidden — invalid or missing API key.

Media typeapplication/json
object
error
required
string
Examplegenerated
{
"error": "example"
}

Internal server error.

Media typeapplication/json
object
error
required
string
Examplegenerated
{
"error": "example"
}